edu.northwestern.at.morphadorner.tools.tcp

## Class RemoveCruft

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.tcp.RemoveCruft

-     public class RemoveCruft
      extends java.lang.Object

  Remove long s, brace-enclosed entities, superscripts, etc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map<java.lang.String,java.lang.String>` | `superscriptsMap` Map from encoded superscripts to replacements.
    `protected static org.jdom2.Namespace` | `teiNamespace` TEI name spaces.
    `protected static org.jdom2.Namespace` | `teiNamespace2`
    `protected static java.util.regex.Matcher` | `underlineCapMatcher`
    `protected static java.util.regex.Pattern` | `underlineCapPattern` Pattern to match _Cap

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveCruft()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main program.
    `static void` | `removeCruft(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### teiNamespace

          protected static org.jdom2.Namespace teiNamespace

      TEI name spaces.

    - #### teiNamespace2

          protected static org.jdom2.Namespace teiNamespace2

    - #### underlineCapPattern

          protected static java.util.regex.Pattern underlineCapPattern

      Pattern to match _Cap

    - #### underlineCapMatcher

          protected static final java.util.regex.Matcher underlineCapMatcher

    - #### superscriptsMap

          protected static java.util.Map<java.lang.String,java.lang.String> superscriptsMap

      Map from encoded superscripts to replacements.

  - ### Constructor Detail

    - #### RemoveCruft

          public RemoveCruft()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.

    - #### removeCruft

          public static void removeCruft(java.lang.String[] args)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`